.hamburger {
    &__wrapper {
        position: absolute;
        top: 1.5em;
        width: 3.5em;
        height: 4em;
        z-index: 1;
        border-radius: 20%;

        @media (min-width: $sm) {
            width: 4em;
        }
    }

    &__background {
        width: 100%;
        height: 0;
        position: fixed;
        background: $black-pearl;
        z-index: 11;
        overflow: hidden;
        transition: 1s opacity ease-in-out;

        &--open {
            opacity: 1;
        }
    }

    &__menu {
        width: 3em;
        height: 3em;
        padding: 0.9em;
        display: flex;
        position: fixed;
        border-radius: 100%;
        border: 1px solid $white;
        align-items: flex-end;
        flex-direction: column;
        justify-content: center;
        transition: ease 0.2s all;
        transform: translate3d(7px, 7px, 0);

        @media (min-width: $sm) {
            width: 3em;
            height: 3em;
        }

        span {
            height: 1px;
            width: 100%;
            margin-bottom: 3.5px;
            background-color: $white;
            transition: 0.5s all ease;

            &:nth-child(2) {
                width: 0.5em;

                @media (min-width: $sm) {
                    width: 0.75em;
                }
            }

            &:last-child {
                margin-bottom: 0;
                width: 0.75em;

                @media (min-width: $sm) {
                    width: 1em;
                }
            }

            @media (min-width: $sm) {
                margin-bottom: 5px;
            }
        }

        &:hover {
            span {
                &:nth-child(2),
                &:last-child {
                    width: 100%;
                }
            }
        }

        &--close {
            padding: 0.75em;
            
            span {
                margin: 0;

                &:last-child {
                    display: none;
                }

                &:first-child {
                    transform: rotate(45deg);
                    width: 100%;
                }

                &:nth-child(2) {
                    width: 100%;
                    top: -1px;
                    position: relative;
                    transform: rotate(-45deg);
                }
            }
        }
    }
}
